const gulp   = require('gulp');
const minify = require('gulp-minify');

gulp.task('minify1', function () {
    gulp.src('dist/message.js')
        .pipe(minify({
	        ext:{
	            src:'.js',
	            min:'.min.js'
	        }
    	}))
        .pipe(gulp.dest('dist'))
});

gulp.task('minify2', function () {
    gulp.src('dist/extension.js')
        .pipe(minify({
	        ext:{
	            src:'.js',
	            min:'.min.js'
	        }
    	}))
        .pipe(gulp.dest('dist'))
});

gulp.task('default', ['minify1', 'minify2'], function() {

});