if( process.env.WOLK_ENV == 'browser' ) {
  const WOLKBROWSER = require('./lib/browser.js');
  module.exports.WOLKBROWSER = WOLKBROWSER;
}

if (process.env.WOLK_ENV == 'message') {
	const wolkjs = require('./lib/message.js');
	global.window.wolkjs = wolkjs;
}

if (process.env.WOLK_ENV == 'extension') {
	const { WEXTENSION, verifySMTProof, verifyNoSQLProof } = require('./lib/extension.js');
	module.exports = { WEXTENSION, verifySMTProof, verifyNoSQLProof };
}

const FS = require('./lib/fs.js') ;
module.exports.FS = FS;

const WOLK = require('./lib/wolk.js');
module.exports.WOLK = WOLK;
